=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kf6-kuserfeedback
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Scarlett Moore <sgmoore@kde.org>,
            Sandro Knauß <hefee@debian.org>,
@@ -11,7 +12,7 @@
                debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               extra-cmake-modules (>= 6.3.0~),
+               extra-cmake-modules (>= 6.6.0~),
                flex,
                libxkbcommon-dev (>= 0.5.0~),
                pkgconf,
@@ -26,8 +27,8 @@
 Rules-Requires-Root: no
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/kuserfeedback
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kuserfeedback
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kuserfeedback.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kuserfeedback
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kuserfeedback
 
 Package: libkf6userfeedback-data
 Section: localization
