## kf6-kuserfeedback 6.9.0

=== debian/changelog ===
kf6-kuserfeedback (6.9.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.9.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 13 Dec 2024 14:49:24 +0000

kf6-kuserfeedback (6.8.0-0ubuntu2) plucky; urgency=medium

  * Merge changes from 6.6.0-2 in Debian unstable.
    - Use dh_qmldeps to detect QML dependencies.
    - Add qml6-module packages to -dev package for QML dependency
      detection.

 -- Rik Mills <rikmills@kde.org>  Sun, 01 Dec 2024 13:55:58 +0000

kf6-kuserfeedback (6.8.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.7.0)
  * New upstream release (6.8.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 08 Nov 2024 16:38:59 +0000

kf6-kuserfeedback (6.6.0-2) unstable; urgency=medium

  [ Sandro Knauß ]
  * Use dh_qmldeps to detect QML dependencies.
  * Add qml6-module packages to -dev package for QML dependency detection.

 -- Sandro Knauß <hefee@debian.org>  Mon, 18 Nov 2024 20:11:57 +0100

kf6-kuserfeedback (6.6.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.6.0).
  * Update build-deps and deps with the info from cmake.
  * Drop backported commits now part of upstream release.
  * Add lintian override for UserFeedbackConsole having no manual, it
    has no command line arguments.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 06 Sep 2024 23:00:04 +0200

kf6-kuserfeedback (6.5.0-2) unstable; urgency=medium

  * Team upload.
  * CI: update/simplify configuration.
  * Backport upstream commit 9bb9187846a19c0f366ab9ce6369edd25086673d to make
    it possible to disable testOpenGLInfoSource using an environment variable;
    patch upstream_tests-allow-to-disable-testOpenGLInfoSource-using-en.patch.
  * Export KUSERFEEBACK_SKIP_TESTOPENGLINFOSOURCE=1 in rules to skip the
    testOpenGLInfoSource test, as creating an OpenGL context is not reliable
    on buildds.

 -- Pino Toscano <pino@debian.org>  Fri, 23 Aug 2024 17:12:07 +0200

kf6-kuserfeedback (6.5.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 10 Aug 2024 23:22:00 +0200

kf6-kuserfeedback (6.4.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.4.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 19 Jul 2024 09:24:12 +0200
