=== debian/control ===
--- 
+++ 
@@ -12,7 +12,8 @@
                debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               extra-cmake-modules (>= 6.6.0~),
+               dh-sequence-qmldeps,
+               extra-cmake-modules (>= 6.9.0~),
                flex,
                libxkbcommon-dev (>= 0.5.0~),
                pkgconf,
@@ -75,6 +76,7 @@
 Architecture: any
 Depends: libkf6userfeedbackcore6 (= ${binary:Version}),
          libkf6userfeedbackwidgets6 (= ${binary:Version}),
+         qml6-module-org-kde-userfeedback (= ${binary:Version}),
          qt6-base-dev (>= 6.5.0~),
          ${misc:Depends},
 Description: development files for KUserFeedback
@@ -159,7 +161,7 @@
 Package: qml6-module-org-kde-userfeedback
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
 Description: user feedback for applications - QML module
  Framework for collecting user feedback for applications via telemetry
  and surveys.
