=== debian/control ===
--- 
+++ 
@@ -1,26 +1,25 @@
 Source: kf6-kuserfeedback
 Section: libs
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Scarlett Moore <sgmoore@kde.org>,
            Sandro Knauß <hefee@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: bison,
-               cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
-               extra-cmake-modules (>= 6.9.0~),
+               bison,
+               cmake (>= 3.16~),
+               extra-cmake-modules (>= 6.10.0~),
                flex,
                libxkbcommon-dev (>= 0.5.0~),
                pkgconf,
-               qt6-base-dev (>= 6.5.0~),
-               qt6-charts-dev (>= 6.5.0~),
+               qt6-base-dev (>= 6.6.0~),
+               qt6-charts-dev (>= 6.6.0~),
                qt6-declarative-dev (>= 6.5.0~),
-               qt6-svg-dev (>= 6.5.0~),
+               qt6-svg-dev (>= 6.6.0~),
                qt6-tools-dev (>= 6.5.0~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
@@ -28,8 +27,8 @@
 Rules-Requires-Root: no
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/kuserfeedback
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kuserfeedback
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kuserfeedback
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kuserfeedback
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kuserfeedback.git
 
 Package: libkf6userfeedback-data
 Section: localization
@@ -77,7 +76,7 @@
 Depends: libkf6userfeedbackcore6 (= ${binary:Version}),
          libkf6userfeedbackwidgets6 (= ${binary:Version}),
          qml6-module-org-kde-userfeedback (= ${binary:Version}),
-         qt6-base-dev (>= 6.5.0~),
+         qt6-base-dev (>= 6.6.0~),
          ${misc:Depends},
 Description: development files for KUserFeedback
  Framework for collecting user feedback for applications via telemetry
