=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                dh-sequence-qmldeps,
                bison,
                cmake (>= 3.16~),
-               extra-cmake-modules (>= 6.10.0~),
+               extra-cmake-modules (>= 6.11.0~),
                flex,
                libxkbcommon-dev (>= 0.5.0~),
                pkgconf,
