## kf6-kuserfeedback 6.12.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
-set(KF_VERSION "6.6.0") # handled by release scripts
-set(KF_DEP_VERSION "6.6.0") # handled by release scripts
+set(KF_VERSION "6.12.0") # handled by release scripts
+set(KF_DEP_VERSION "6.12.0") # handled by release scripts
 project(KUserFeedback VERSION ${KF_VERSION})
 
 # ECM setup
@@ -35,6 +35,7 @@
 include(ECMQmlModule)
 include(FeatureSummary)
 include(GenerateExportHeader)
+include(ECMDeprecationSettings)
 
 include(ECMQtDeclareLoggingCategory)
 
@@ -49,7 +50,7 @@
 #
 
 # Dependencies
-set(REQUIRED_QT_VERSION 6.5.0)
+set(REQUIRED_QT_VERSION 6.6.0)
 find_package(Qt6 ${REQUIRED_QT_VERSION} NO_MODULE REQUIRED COMPONENTS Core Network)
 find_package(Qt6 ${REQUIRED_QT_VERSION} NO_MODULE QUIET OPTIONAL_COMPONENTS Widgets Charts Test Qml Svg PrintSupport)
 find_package(QmlLint)
@@ -107,6 +108,11 @@
 include_directories(${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR})
 configure_file(config-userfeedback.h.in ${CMAKE_CURRENT_BINARY_DIR}/config-userfeedback.h)
 
+ecm_set_disabled_deprecation_versions(
+    QT 5.15
+)
+
+
 add_subdirectory(src)
 
 if (BUILD_TESTING)
@@ -149,7 +155,7 @@
 ecm_install_po_files_as_qm(poqm)
 
 include(ECMFeatureSummary)
-ecm_feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)
+ecm_feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
 install(FILES
     ${KF6UserFeedbackCore_HEADERS}
