## kf6-kuserfeedback 6.16.0

=== debian/changelog ===
kf6-kuserfeedback (6.16.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.16.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 11 Jul 2025 16:48:39 +0100

kf6-kuserfeedback (6.15.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.15.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 13 Jun 2025 16:35:54 +0100

kf6-kuserfeedback (6.14.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.14.0)
  * Drop libkf6userfeedback-bin package, as the app and cli binaries are
    no longer built by default.
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Sat, 10 May 2025 07:00:45 +0100
