=== debian/control ===
--- 
+++ 
@@ -1,34 +1,35 @@
 Source: kf6-kuserfeedback
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Scarlett Moore <sgmoore@kde.org>,
            Sandro Knauß <hefee@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: bison,
+               cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
-               bison,
-               cmake (>= 3.16~),
-               extra-cmake-modules (>= 6.13.0~),
+               extra-cmake-modules (>= 6.16.0~),
                flex,
                libxkbcommon-dev (>= 0.5.0~),
                pkgconf,
-               qt6-base-dev (>= 6.6.0~),
-               qt6-charts-dev (>= 6.6.0~),
+               qt6-base-dev (>= 6.5.0~),
+               qt6-charts-dev (>= 6.5.0~),
                qt6-declarative-dev (>= 6.5.0~),
-               qt6-svg-dev (>= 6.6.0~),
+               qt6-svg-dev (>= 6.5.0~),
                qt6-tools-dev (>= 6.5.0~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
 Build-Depends-Indep: qt6-documentation-tools,
 Rules-Requires-Root: no
-Standards-Version: 4.7.2
+Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/kuserfeedback
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kuserfeedback
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kuserfeedback.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kuserfeedback
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kuserfeedback
 
 Package: libkf6userfeedback-data
 Section: localization
@@ -51,32 +52,13 @@
  .
  This package contains the shared localizations for KUserFeedback.
 
-Package: libkf6userfeedback-bin
-Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends},
-Breaks: kuserfeedback-bin,
-Replaces: kuserfeedback-bin,
-Description: user feedback for applications - executables
- Framework for collecting user feedback for applications via telemetry
- and surveys.
- .
- Telemetry
-  * Extensible set of data sources for telemetry.
-  * Full control for the user on what data to contribute.
- Surveys
-  * Distribute surveys and offer users to participate in them.
-  * Survey targeting based on telemetry data.
-  * Allow the user to configure how often they want to participate in surveys.
- .
- This package contains the management and analytics applications.
-
 Package: libkf6userfeedback-dev
 Section: libdevel
 Architecture: any
 Depends: libkf6userfeedbackcore6 (= ${binary:Version}),
          libkf6userfeedbackwidgets6 (= ${binary:Version}),
          qml6-module-org-kde-userfeedback (= ${binary:Version}),
-         qt6-base-dev (>= 6.6.0~),
+         qt6-base-dev (>= 6.5.0~),
          ${misc:Depends},
 Description: development files for KUserFeedback
  Framework for collecting user feedback for applications via telemetry
